%define name    sidplay
%define version 2.0.8
%define release 1mdk
%define major   2

Summary:        A Commodore 64 music player and SID chip emulator.
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source:         %{name}-%{version}.tar.bz2
License:        GPL
Group:          Sound
URL:            http://sidplay2.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}%{major}-buildroot
Prefix:         %{_prefix}
BuildRequires:  libsidutils0-devel
Obsoletes:      sidplay2
Provides:	sidplay2

%description 
Sidplay2 is the second in the Sidplay series and provides a console
front end for the libsidplay2 library.  This library is cycle accurate
for improved sound reproduction and is capable of playing all C64 mono
and stereo file formats.  Also supported is a full C64 emulation
environment, which allows tunes to be taken directly from the C64
without the need for special modifications.

%prep
%setup -q

%build
aclocal -I unix
automake
%configure2_5x --with-sidplay2-library=%_libdir --with-sidplay2-includes=%_includedir
%make

%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_mandir}/man*/*
%{_bindir}/*

%changelog
* Mon Dec 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.8-1mdk
- new version

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.8-0.20021220.1mdk
- fix build with automake1.6
- new snapshot

* Thu Nov 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.8-0.20021114.1mdk
- new snapshot

* Mon Oct  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.8-0.20021007.1mdk
- new snapshot
- better buildrequires

* Tue Sep  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.8-0.20020903.1mdk
- new snapshot

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.8-0.20020729.2mdk
- rebuild with gcc 3.2-0.3mdk

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.8-0.20020729.1mdk
- update from CVS

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.8-0.20020526.1mdk
- update to CVS version

* Mon Nov  5 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0.7-3mdk
- add Obsoletes tag for sidplay2 package

* Thu Apr 19 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0.7-2mdk
- adapted for Mandrake

* Sun Apr 1 2001 Simon White <s_a_white@email.com> 2.0.7-1mdk
- First spec file.

# end of file
